body {
    font-family: Arial, sans-serif;
    margin: 0;
    padding: 0;
    background-color: #f9f9f9;
    color: #333;
}

header {
    position: relative;
    background: url('../img/extern-bureaublad-1024x638-1.webp') no-repeat center center;
    background-size: cover;
    color: white;
    padding: 40px 20px;
    text-align: center;
}

header::after {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.5);
    z-index: 1;
}

header h1, header p {
    position: relative;
    z-index: 2;
}

header h1 {
    margin: 0;
    font-size: 2.5em;
}

.header-content {
    position: relative;
    z-index: 2; /* hoger dan de overlay */
}

main {
    padding: 20px;
    max-width: 1200px;
    margin: 0 auto;
}

section {
    background: white;
    border: 1px solid #ddd;
    border-radius: 8px;
    padding: 20px;
    margin-bottom: 20px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

section h2 {
    color: #07AAF9;
    margin-top: 0;
}

footer {
    background-color: #2D2E43;
    color: white;
    text-align: center;
    padding: 10px 0;
    margin-top: 20px;
}

.container {
    display: flex;
    gap: 50px;
}

.upstreamcon {
    border: 2px solid #07AAF9;
    border-radius: 8px;
    padding: 10px;
    width: 45%;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
}

.exchange-columns {
    display: flex;
    gap: 2rem;
    flex-wrap: wrap;
}

.exchange-box {
    flex: 1 1 300px;
}

.svg-container {
  position: relative;
  width: 80vw;         
  max-width: 1120px;
  aspect-ratio: 3 / 2; 
}
.svg-container img {
  width: 100%;
  height: auto;
  display: block;
  margin: 0 auto;
}
.port-label {
  position: absolute;
  background: rgba(255, 255, 255, 0.90);
  padding: 10px 10px;
  font-size: 14px;
  border-radius: 15px;
  border: 1px solid black;
  pointer-events: none;
  white-space: nowrap;
  width: 80px;
  height: 20px;
  display: flex;
  align-items: center;
  justify-content: center;
  text-align: center;
}
@media (max-width: 600px) {
  .port-label {
    padding: 4px;
    font-size: 10px;
    width: 45px;
    height: 14px;
    border-radius: 8px;
  }
}
@media (max-width: 400px) {
  .port-label {
    font-size: 9px;
    width: 40px;
    height: 12px;
    padding: 3px;
    border-radius: 6px;
  }
}

#port1 { top: 20%; left: 47%; }
#port1-2 { top: 33%; left: 46%; }
/* #port2 { top: 27%; left: 69%; }
#port2-2 { top: 36%; left: 63%; } */
#port3 { top: 38%; left: 76%; }
#port3-2 { top: 41%; left: 66%; }
#port4 { top: 23%; left: 28%; }
#port4-2 { top: 34%; left: 32%; }
#port5 { top: 35%; left: 17%; }
#port5-2 { top: 41%; left: 24%; }
#port6 { top: 61%; left: 45%; }
#port6-2 { top: 78%; left: 45%; }
#port7 { top: 47%; left: 17%; }
#port7-2 { top: 49%; left: 24%; }